package com.huashe.park.domain.entity;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤组人员对象 park_attend_group_usr
 *
 * @author ruoyi
 * @date 2025-01-08
 */
public class ParkAttendGroupUsr extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 考情组主键
     */
    private Long attendGroupId;

    private String groupName;

    /**
     * 考情组成员id
     */
    private String usrId;

    /**
     * 成员姓名
     */
    @Excel(name = "成员姓名")
    private String usrName;

    /**
     * 部门id
     */
    private String usrDeptId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String usrDept;


    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAttendGroupId(Long attendGroupId) {
        this.attendGroupId = attendGroupId;
    }

    public Long getAttendGroupId() {
        return attendGroupId;
    }

    public void setUsrId(String usrId) {
        this.usrId = usrId;
    }

    public String getUsrId() {
        return usrId;
    }

    public void setUsrName(String usrName) {
        this.usrName = usrName;
    }

    public String getUsrName() {
        return usrName;
    }

    public void setUsrDeptId(String usrDeptId) {
        this.usrDeptId = usrDeptId;
    }

    public String getUsrDeptId() {
        return usrDeptId;
    }

    public void setUsrDept(String usrDept) {
        this.usrDept = usrDept;
    }

    public String getUsrDept() {
        return usrDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("attendGroupId", getAttendGroupId())
                .append("usrId", getUsrId())
                .append("usrName", getUsrName())
                .append("usrDeptId", getUsrDeptId())
                .append("usrDept", getUsrDept())
                .append("updateTime", getUpdateTime())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("tenantId", getTenantId())
                .toString();
    }
}
